Loading...
Searching...
No Matches
openshot::ResampleError Class Reference

Exception when resample fails. More...

`#include <Exceptions.h>`

Inheritance diagram for openshot::ResampleError:

## Public Member Functions

| ResampleError (std::string message, std::string file_path="")
| Constructor.
virtual | ~ResampleError () noexcept
Public Member Functions inherited from openshot::FileExceptionBase
| FileExceptionBase (std::string message, std::string file_path="")
virtual std::string | py_message () const override
Public Member Functions inherited from openshot::ExceptionBase
| ExceptionBase (std::string message)
virtual const char * | what () const noexcept
virtual | ~ExceptionBase () noexcept

## Additional Inherited Members

Public Attributes inherited from openshot::FileExceptionBase
std::string | file_path
Protected Attributes inherited from openshot::ExceptionBase
std::string | m_message

## Detailed Description

Exception when resample fails.

Definition at line 378 of file Exceptions.h.

## Constructor & Destructor Documentation

## ResampleError()

openshot::ResampleError::ResampleError | ( | std::string | message,
|  | std::string | file_path = "" )

inline

Constructor.

Parameters

  message | A message to accompany the exception
  file_path | (optional) The input file being processed

Definition at line 387 of file Exceptions.h.

## ~ResampleError()

virtual openshot::ResampleError::~ResampleError | ( |  | ) |

inline virtual noexcept

Definition at line 389 of file Exceptions.h.

The documentation for this class was generated from the following file:

- Exceptions.h